<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000326.png" type="DMXDevice" dmxcversion="3.0.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>1075</ddf-library-id>
    <model>VL 3500 Wash FX</model>
    <vendor>Vari*Lite</vendor>
    <author>Patrick Grote</author>
  </information>
  <functions>
    <dimmer dmxchannel="0"/>
    <position>
      <pan dmxchannel="1" finedmxchannel="2">
        <range range="530"/>
      </pan>
      <tilt dmxchannel="3" finedmxchannel="4">
        <range range="260"/>
      </tilt>
    </position>
    <frost dmxchannel="5">
      <range mindmx="255" maxdmx="0" minval="0" maxval="100"/>
    </frost>
    <zoom dmxchannel="6">
      <range mindmx="0" maxdmx="255" minval="0" maxval="100"/>
    </zoom>
    <colortemp dmxchannel="7">
      <range mindmx="255" maxdmx="0" minval="5500" maxval="8500"/>
    </colortemp>
    <cmy>
      <cyan dmxchannel="8"/>
      <yellow dmxchannel="9"/>
      <magenta dmxchannel="10"/>
    </cmy>
    <colorwheel dmxchannel="11">
      <step type="color" val="#FFFFFF" caption="White" mindmx="0" maxdmx="0"/>
      <step type="color" val="#D60000" caption="Red" mindmx="37" maxdmx="37"/>
      <step type="color" val="#FFFF00" caption="Yellow" mindmx="72" maxdmx="72"/>
      <step type="color" val="#FF00FF" caption="Magenta" mindmx="107" maxdmx="107"/>
      <step type="color" val="#00A000" caption="Kelly Green" mindmx="143" maxdmx="143"/>
      <step type="color" val="#1D2D7F" caption="Congo Blue" mindmx="179" maxdmx="179"/>
      <rainbow>
        <range type="ccw" mindmx="234" maxdmx="217" minval="0.1" maxval="8"/>
        <range type="cw" mindmx="237" maxdmx="255" minval="0.1" maxval="8"/>
      </rainbow>
    </colorwheel>
    <colorwheel dmxchannel="12">
      <step type="color" val="#FFFFFF" caption="White" mindmx="0" maxdmx="0"/>
      <step type="color" val="#0000FF" caption="Blue" mindmx="37" maxdmx="37"/>
      <step type="color" val="#FF6613" caption="Amber" mindmx="72" maxdmx="72"/>
      <step type="color" val="#97017F" caption="Dark Fuchsia" mindmx="107" maxdmx="107"/>
      <step type="color" val="#FF5D30" caption="Orange" mindmx="143" maxdmx="143"/>
      <step type="color" val="#00FF00" caption="Green" mindmx="179" maxdmx="179"/>
      <rainbow>
        <range type="ccw" mindmx="234" maxdmx="217" minval="0.1" maxval="8"/>
        <range type="cw" mindmx="237" maxdmx="255" minval="0.1" maxval="8"/>
      </rainbow>
    </colorwheel>
    <shutter dmxchannel="13">
      <step type="closed" mindmx="3" maxdmx="5"/>
      <step type="open" mindmx="0" maxdmx="2"/>
    </shutter>
    <strobe dmxchannel="13">
      <range type="linear" mindmx="13" maxdmx="255" minval="0.5" maxval="15"/>
      <range type="random" mindmx="6" maxdmx="12" minval="0.5" maxval="15"/>
    </strobe>
    <gobowheel dmxchannel="14">
      <goborotation dmxchannel="15" finedmxchannel="16">
        <step type="stop" mindmx="128" maxdmx="129"/>
        <range type="ccw" mindmx="130" maxdmx="255" minval="0.1" maxval="8"/>
        <range type="cw" mindmx="127" maxdmx="0" minval="0.1" maxval="8"/>
      </goborotation>
      <goboindex dmxchannel="15" finedmxchannel="16">
        <range mindmx="0" maxdmx="255" range="360"/>
      </goboindex>
      <step type="open" caption="Open">
        <step for="goboindex" mindmx="0" maxdmx="10"/>
        <step for="goborotation" mindmx="98" maxdmx="119"/>
      </step>
      <step type="gobo" caption="Spokes" val="ICON-000791.png">
        <step for="goboindex" mindmx="11" maxdmx="32"/>
        <step for="goborotation" mindmx="120" maxdmx="141"/>
      </step>
      <step type="gobo" caption="Night Sky" val="ICON-000779.png">
        <step for="goboindex" mindmx="33" maxdmx="54"/>
        <step for="goborotation" mindmx="142" maxdmx="163"/>
      </step>
      <step type="gobo" caption="4 Hole Ray" val="ICON-000776.png">
        <step for="goboindex" mindmx="55" maxdmx="75"/>
        <step for="goborotation" mindmx="164" maxdmx="184"/>
      </step>
      <step type="gobo" caption="Triangle" val="ICON-000777.png">
        <step for="goboindex" mindmx="76" maxdmx="97"/>
        <step for="goborotation" mindmx="185" maxdmx="206"/>
      </step>
      <wheelrotation>
        <range type="ccw" mindmx="234" maxdmx="217" minval="0.1" maxval="8"/>
        <range type="cw" mindmx="237" maxdmx="255" minval="0.1" maxval="8"/>
      </wheelrotation>
    </gobowheel>
    <const dmxchannel="17" val="255"/>
    <const dmxchannel="18" val="255"/>
    <const dmxchannel="19" val="255"/>
    <const dmxchannel="20" val="255"/>
    <const dmxchannel="21" val="0"/>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="21" value="82"/>
      <hold value="4000"/>
      <restore dmxchannel="21"/>
    </reset>
    <reset_color>
      <set dmxchannel="21" value="101"/>
      <hold value="4000"/>
      <restore dmxchannel="21"/>
    </reset_color>
    <reset_effects>
      <set dmxchannel="21" value="127"/>
      <hold value="4000"/>
      <restore dmxchannel="21"/>
    </reset_effects>
    <reset_shutter>
      <set dmxchannel="21" value="139"/>
      <hold value="4000"/>
      <restore dmxchannel="21"/>
    </reset_shutter>
    <lamp_on>
      <set dmxchannel="21" value="255"/>
      <hold value="4000"/>
      <restore dmxchannel="21"/>
    </lamp_on>
    <lamp_off>
      <set dmxchannel="21" value="166"/>
      <hold value="4000"/>
      <restore dmxchannel="21"/>
    </lamp_off>
    <procedure name="Lamp @ 900W">
      <set dmxchannel="21" value="180"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Lamp @ 1200W">
      <set dmxchannel="21" value="190"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Lamp @ 1500W">
      <set dmxchannel="21" value="200"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Color Snap Enabled">
      <set dmxchannel="21" value="21"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Color Snap Disabled">
      <set dmxchannel="21" value="31"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Dimmer Snap Enabled">
      <set dmxchannel="21" value="41"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Dimmer Snap Disabled">
      <set dmxchannel="21" value="51"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Zoom Norm">
      <set dmxchannel="21" value="61"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
    <procedure name="Zoom Studio">
      <set dmxchannel="21" value="71"/>
      <hold value="550"/>
      <restore dmxchannel="21"/>
    </procedure>
  </procedures>
</device>
